Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.proxy
Class AsyncProxyServlet

    java.lang.Object
      org.mortbay.proxy.AsyncProxyServlet

All Implemented Interfaces:
  Servlet

    public class AsyncProxyServlet

extends Object
implements Servlet

EXPERIMENTAL Proxy servlet.

Author:
  gregw

Field Summary
`protected HashSet<String>` | `_DontProxyHeaders`

Constructor Summary
`AsyncProxyServlet()`

Method Summary
`void` | `destroy()`
`ServletConfig` | `getServletConfig()`
`String` | `getServletInfo()`
`void` | `handleConnect(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig config)`
`static void` | `main(String[] args)`
`void` | `service(ServletRequest req, ServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _DontProxyHeaders

    protected HashSet<String> _DontProxyHeaders

Constructor Detail

### AsyncProxyServlet

    public AsyncProxyServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Throws:
    `ServletException`

### getServletConfig

    public ServletConfig getServletConfig()

  Specified by:
    `getServletConfig` in interface `Servlet`

### service

    public void service(ServletRequest req,
                        ServletResponse res)
                 throws ServletException,
                        IOException

  Specified by:
    `service` in interface `Servlet`
  Throws:
    `ServletException`
    `IOException`

### handleConnect

    public void handleConnect(HttpServletRequest request,
                              HttpServletResponse response)
                       throws IOException

  Throws:
    `IOException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `Servlet`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Servlet`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.